[Phone]: user changes (on>off) made to callforwarding are not effected

Bug #1478049 reported by Alexander Tsoutsanis on 2015-07-24
34
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Canonical System Image
Critical
Bill Filler
ofono (Ubuntu)
Undecided
Unassigned
ubuntu-system-settings (Ubuntu)
Undecided
Jonas G. Drange

Bug Description

1) The release: Ubuntu (Touch) 15.04 - armhf

2) The version of the package you are using: OS3

3) What you expected to happen: the Phone App has a setting 'call forwarding'. When unmarking 'call forwarding' in the boxes for the fields "I'm on another call"; "I don't answer"; "My phone is unreachable", you expect 'call forwarding' to be "OFF".

4) What happened instead: While unmarking works, the changes made are not effected, and do therefore not have any effect. In short, 'call forwarding' remains engaged even if user wants to switch this off. This eventually results in a red error message being triggered: " Call forwarding can't be changed right now".

In addition, changes made to the phone number to which calls are to be forwarded are also not effected. Instead call forwarding is forwarding calls to a clearly non-valid phone number adding 4 digits between country code and cell #, resulting in 15 digit number (instead of 11)

Errors experienced are in connection with (new) MX 4 Ubuntu phone, regardless of the carrier/simcard being used. Tested both with KPN and Telfort in NL. In both situations, (a) changes to put 'call-forwarding' <off> or not effected and (b) the same 4 digits (in NL: 6530) are added resulting in a clearly non-comprehensible phone number.

One of the repeated error messages below is: "Got invalid serialized mime data."

See also bug 1372383, bug 1466095, bug 1478878, and bug 1505463.

***Update***: Bug now validated on three different days, with three different sim cards, of three different users, with three different phone numbers, from two different carriers.

********************************************************************
Log from start-up to trying to change callforwarding:

From file /home/phablet/.cache/upstart/application-legacy-ubuntu-system-settings-.log:
Loading module: 'libubuntu_application_api_touch_mirclient.so.3.0.0'
qrc:/qml/MainWindow.qml:131:34: QML TextField: Theme.createStyleComponent() is deprecated. Use ThemeSettings instead.
file:///usr/share/ubuntu/settings/system/qml-plugins/orientation-lock/EntryComponent.qml:33:14: QML CheckBox: Theme.createStyleComponent() is deprecated. Use ThemeSettings instead.
file:///usr/share/ubuntu/settings/system/qml-plugins/flight-mode/EntryComponent.qml:32:14: QML CheckBox: Theme.createStyleComponent() is deprecated. Use ThemeSettings instead.
2015-07-25 10:14:15,319 - WARNING - file:///usr/share/ubuntu/settings/system/qml-plugins/cellular/PageComponent.qml:117:9: QML ActivityIndicator: Theme.createStyleComponent() is deprecated. Use ThemeSettings instead.
2015-07-25 10:14:15,324 - WARNING - file:///usr/share/ubuntu/settings/system/qml-plugins/cellular/PageComponent.qml:31:1: QML PageComponent: Binding loop detected for property "flickable"
UbuntuWindow - regular geometry
2015-07-25 10:14:15,866 - WARNING - UbuntuClipboard - Got invalid serialized mime data. Ignoring it.
2015-07-25 10:14:15,889 - WARNING - file:///usr/share/ubuntu/settings/system/qml-plugins/cellular/Components/NoSim.qml:26: TypeError: Cannot read property of null
2015-07-25 10:14:15,891 - WARNING - file:///usr/share/ubuntu/settings/system/qml-plugins/cellular/Components/NoSim.qml:27: TypeError: Cannot read property of null
2015-07-25 10:14:15,893 - WARNING - file:///usr/share/ubuntu/settings/system/qml-plugins/cellular/Components/NoSim.qml:28: TypeError: Cannot read property of null
2015-07-25 10:14:16,073 - WARNING - file:///usr/share/ubuntu/settings/system/qml-plugins/cellular/Components/SingleSim.qml:53:18: QML CheckBox: Theme.createStyleComponent() is deprecated. Use ThemeSettings instead.
2015-07-25 10:14:16,081 - WARNING - file:///usr/share/ubuntu/settings/system/qml-plugins/cellular/Components/SingleSim.qml:38:18: QML CheckBox: Theme.createStyleComponent() is deprecated. Use ThemeSettings instead.
2015-07-25 10:16:34,197 - WARNING - QObject::startTimer: Timers cannot be started from another thread
2015-07-25 10:17:21,822 - WARNING - UbuntuClipboard - Got invalid serialized mime data. Ignoring it.
2015-07-25 10:17:25,945 - WARNING - file:///usr/share/ubuntu/settings/system/qml-plugins/phone/PageComponent.qml:95:26: QML CheckBox: Theme.createStyleComponent() is deprecated. Use ThemeSettings instead.
2015-07-25 10:17:46,519 - WARNING - file:///usr/share/ubuntu/settings/system/qml-plugins/phone/CallForwarding.qml:244:9: QML Button: Theme.createStyleComponent() is deprecated. Use ThemeSettings instead.
2015-07-25 10:22:43,577 - WARNING - QObject::killTimer: Timers cannot be stopped from another thread
2015-07-25 10:22:43,578 - WARNING - QObject::startTimer: Timers cannot be started from another thread
2015-07-25 10:22:50,809 - WARNING - UbuntuClipboard - Got invalid serialized mime data. Ignoring it.
2015-07-25 10:23:08,154 - WARNING - UbuntuClipboard - Got invalid serialized mime data. Ignoring it.
2015-07-25 10:23:26,345 - WARNING - QObject::startTimer: Timers cannot be started from another thread
2015-07-25 10:23:26,457 - WARNING - file:///usr/lib/arm-linux-gnueabihf/qt5/qml/Ubuntu/Content/ContentTransferHint.qml:61:13: QML Button: Theme.createStyleComponent() is deprecated. Use ThemeSettings instead.
2015-07-25 10:23:26,518 - WARNING - file:///usr/lib/arm-linux-gnueabihf/qt5/qml/Ubuntu/Components/Popups/1.2/Dialog.qml:179:13: QML Column: Cannot specify top, bottom, verticalCenter, fill or centerIn anchors for items inside Column. Column will not function.
2015-07-25 10:23:26,578 - WARNING - file:///usr/lib/arm-linux-gnueabihf/qt5/qml/Ubuntu/Components/Popups/1.2/Dialog.qml:179:13: QML Column: Cannot specify top, bottom, verticalCenter, fill or centerIn anchors for items inside Column. Column will not function.
2015-07-25 10:23:26,596 - WARNING - UbuntuClipboard - Got invalid serialized mime data. Ignoring it.
2015-07-25 10:23:34,742 - WARNING - UbuntuClipboard - Got invalid serialized mime data. Ignoring it.
2015-07-25 10:23:35,151 - WARNING - UbuntuClipboard - Got invalid serialized mime data. Ignoring it.
2015-07-25 10:24:30,615 - WARNING - QObject::killTimer: Timers cannot be stopped from another thread
2015-07-25 10:24:30,615 - WARNING - QObject::startTimer: Timers cannot be started from another thread
2015-07-25 10:24:34,487 - WARNING - UbuntuClipboard - Got invalid serialized mime data. Ignoring it.

Related branches

summary: - [Touch]: user changes (on>on) made to callforwarding are not effected +
+ [Touch]: user changes (on>off) made to callforwarding are not effected +
phone# misinterpreted

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1478049/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
description: updated
affects: ubuntu → ubuntu-phone-commons
description: updated
description: updated
Jonas G. Drange (jonas-drange) wrote :

Thank you for reporting this.

The actual error is hidden by the UI. Could you please unset the call forwarding settings by the use of this script?

    $ /usr/share/ofono/scripts/set-call-forwarding

So, unsetting/changing unconditional forwarding would look like this:

    $ /usr/share/ofono/scripts/set-call-forwarding VoiceUnconditional <value>

"" (an empty string) should unset it.

Thanks again.

Thank you. While the <property> can be set according to your script (to e.g. <Voiceunconditional>), the <value> cannot. Terminal indicates <value> can either be "number to or the time-out". It strikes me that such <value> is relevant in connection with other <properties> (e.g. VoiceBusy, VoiceNoReply, VoiceNoreplyTimeout, VoiceNotReachable) either for forwarding to a number or set a time-out, but irrelevant in connection with <Voiceunconditional>, as the very purpose of such <property> is to be unconditional of any <value>.

Empty string does not unset it. Command line, $ /usr/share/ofono/scripts/set-call-forwarding VoiceUnconditional " " results in following error message: "Unable SetProperty org.ofono. Error. InvalidArguments: Invalid arguments in method call". Changing value to zero-time-out or cell-phone number results in the same.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ofono (Ubuntu):
status: New → Confirmed
Jonas G. Drange (jonas-drange) wrote :

@alexander-tsoutsanis: VoiceUnconditional is just a number to unconditionally forward calls to, not a boolean—if I understand your argument correctly.

And to unset it you need to pass an empy string, not a space:

$ /usr/share/ofono/scripts/set-call-forwarding VoiceUnconditional ""

Thanks. Update: while using command line above does result in <set property successfull>, the bug above instantly appears replicating each of the issues described above. Bug therefore also exists after OTA 6 (r4), effectively depriving the phone from its key feature: to function as a phone.

summary: - [Touch]: user changes (on>off) made to callforwarding are not effected +
+ [Phone]: user changes (on>off) made to callforwarding are not effected +
phone# misinterpreted

this is totally busted, see also bug #1505463

no longer affects: ubuntu-phone-commons
Changed in canonical-devices-system-image:
assignee: nobody → Bill Filler (bfiller)
importance: Undecided → Critical
milestone: none → ww46-2015
status: New → Confirmed
Pat McGowan (pat-mcgowan) wrote :

It seems this is dependent on the carrier for support.

The issue I now see is:

First time in Phone panel it shows Call forwarding Off
Enter the panel, after some delay the screen refreshes and turns three options on
Exit the panel and it now shows Call forwarding Some Calls

so the user feels like they have made a settings change when they have not

The other thing to clean up if possible is to not enable the toggles, but it seems we do not have enough info for this. At least an error dialog when the setting fails would be helpful, like "Cannot change settings, this may not be supported by your carrier"

Changed in ubuntu-system-settings (Ubuntu):
importance: Undecided → Critical
importance: Critical → Undecided
Changed in ubuntu-system-settings (Ubuntu):
assignee: nobody → Jonas G. Drange (jonas-drange)
description: updated
Changed in ubuntu-ux:
assignee: nobody → Olga Kemmet (olga-kemmet)
status: New → Triaged
importance: Undecided → High
Changed in ubuntu-system-settings (Ubuntu):
status: New → In Progress
summary: - [Phone]: user changes (on>off) made to callforwarding are not effected +
- phone# misinterpreted
+ [Phone]: user changes (on>off) made to callforwarding are not effected
Jonas G. Drange (jonas-drange) wrote :

I've created bug 1514721 for the phone number misinterpreted issue, alexander-tsoutsanis. Could you help adding some more information to that bug, as it may not be 100% clear what the issue is? Thank you.

Changed in canonical-devices-system-image:
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-system-settings - 0.3+16.04.20151109-0ubuntu1

---------------
ubuntu-system-settings (0.3+16.04.20151109-0ubuntu1) xenial; urgency=medium

  [ jonas-drange ]
  * Cache call forwarding summary for each IMSI/ICCID. Block UI until
    the CallForwarding binding is ready. Do not assume a failed
    callforwarding change means it's disabled (could be forced by
    carrier). (LP: #1478049)

 -- <email address hidden> (Jonas G. Drange) Mon, 09 Nov 2015 12:50:11 +0000

Changed in ubuntu-system-settings (Ubuntu):
status: In Progress → Fix Released
no longer affects: ubuntu-ux
Changed in canonical-devices-system-image:
status: Fix Committed → Fix Released
Wangtim (tim-bronkhorst) wrote :

The bug is still here in OTA8, nothing change since OTA7 for me. It's still impossible to change the phone number or to set the call forwarding options to "off".
Was it supposed to be fixed ?
I'm in France, with Orange as the mobile network provider.

François Torres (torres-a) wrote :

Same goes for me, the bug's still here with fresh OTA-8 on BQ Aquaris 4.5 Ubuntu Ed.
(call forwarding was also bugged on OTA-7 on this phone)
And the default forwarded phone number I'm wanting to change or inactivate is completeley unknown to me (33 6 54 18 54 08 - not any of my contact numbers...)
As Wangtim, I'm in France with Orange as provider.
Besides, upgrading from OTA-7 to OTA-8 gives bad translation to call forwarding summary : I had "Certains Appels" (OTA-7), got now "Some Calls" (OTA-8), i.e. it is not translated.
Thanks.
François

Jonas G. Drange (jonas-drange) wrote :

@torres-a, thanks for reporting that. I've filed bug 1518732 for the translation issue.

As for the number 33 6 54 18 54 08, could you contact your provider, Orange, and ask if they know anything about it?

Thanks

François Torres (torres-a) wrote :

@jonas, thanks, and sorry for the delay.
After contacting Orange, the number 33 6 54 18 54 08 appears to be the vocal messaging box of Orange, and call forwarding is defaulted to this number by the provider.
The problem I now have (and everybody using Orange haa) is that it is not possible to change this forwarding number. Every GSM code I've tried does not work, and the only workaround seems to be to make a specific demand to Orange, which I will do asap.
Thus, until I'm done with that, I'm unable to check if call forwarding modification works with OTA-8 on my phone.
So, sorry for inconvenience :(, but I will report back when my Orange bug is fixed...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers